#ifndef _DMI_ERROR_HH
#define _DMI_ERROR_HH

/* Copyright 07/08/98 Sun Microsystems, Inc. All Rights Reserved.
 */
#pragma ident  "@(#)dmi_error.hh	1.21 98/07/08 Sun Microsystems"


#define DMIERR_NO_ERROR                          0x00000
#define DMIERR_NO_ERROR_MORE_DATA                0x00001
#define DMIERR_DEFAULT_LANGUAGE_RETURNED         0x00002

#define DMIERR_ATTRIBUTE_NOT_FOUND               0x00100
#define DMIERR_VALUE_EXCEEDS_MAXSIZE             0x00101
#define DMIERR_COMPONENT_NOT_FOUND               0x00102
#define DMIERR_ENUM_ERROR                        0x00103
#define DMIERR_GROUP_NOT_FOUND                   0x00104
#define DMIERR_ILLEGAL_KEYS                      0x00105
#define DMIERR_ILLEGAL_TO_SET                    0x00106
#define DMIERR_OVERLAY_NAME_NOT_FOUND            0x00107
#define DMIERR_ILLEGAL_TO_GET                    0x00108
#define DMIERR_ROW_NOT_FOUND                     0x0010a
#define DMIERR_DIRECT_INTERFACE_NOT_REGISTERED   0x0010b
#define DMIERR_DATABASE_CORRUPT                  0x0010c
#define DMIERR_ATTRIBUTE_NOT_SUPPORTED           0x0010d
#define DMIERR_VALUE_UNKNOWN                     0x0010f
#define DMIERR_BUFFER_FULL                       0x00200
#define DMIERR_ILL_FORMED_COMMAND                0x00201
#define DMIERR_ILLEGAL_COMMAND                   0x00202
#define DMIERR_ILLEGAL_HANDLE                    0x00203
#define DMIERR_OUT_OF_MEMORY                     0x00204
#define DMIERR_NULL_COMPLETION_FUNCTION          0x00205
#define DMIERR_NULL_RESPONSE_BUFFER              0x00206
#define DMIERR_CMD_HANDLE_IN_USE                 0x00207
#define DMIERR_ILLEGAL_DMI_LEVEL                 0x00208
#define DMIERR_UNKNOWN_CI_REGISTRY               0x00209
#define DMIERR_COMMAND_CANCELED                  0x0020a
#define DMIERR_INSUFFICIENT_PRIVILEGES           0x0020b
#define DMIERR_NULL_ACCESS_FUNCTION              0x0020c
#define DMIERR_FILE_ERROR                        0x0020d
#define DMIERR_EXEC_FAILURE                      0x0020e
#define DMIERR_BAD_SCHEMA_DESCRIPTION_FILE       0x0020f
#define DMIERR_INVALID_FILE_TYPE                 0x00210
#define DMIERR_SP_INACTIVE                       0x00211
#define DMIERR_CANT_UNINSTALL_SP_COMPONENT       0x00213
#define DMIERR_NULL_CANCEL_FUNCTION              0x00214
#define DMIERR_INVALID_POOL                      0x00215
#define DMIERR_INVALID_PTR                       0x00216
#define DMIERR_NO_POOL                           0x00217
#define DMIERR_FILE_TYPE_NOT_SUPPORTED           0x00218
#define DMIERR_CANT_UNINSTALL_COMPONENT_LANGUAGE 0x00219
#define DMIERR_CANT_UNINSTALL_GROUP              0x0021a
#define DMIERR_UNABLE_TO_ADD_ROW                 0x0021b
#define DMIERR_UNABLE_TO_DELETE_ROW              0x0021c

#define DMIERR_ILLEGAL_RPC_HANDLE                10
#define DMIERR_ROW_EXIST                         25
#define DMIERR_ILLEGAL_PARAMETER                 26


/* error code for db */
#define DMIERR_DB_FIRST_ERROR			50
#define DMIERR_PARSING_ERROR			(DMIERR_DB_FIRST_ERROR+1)
#define DMIERR_DB_NOT_INITIALIZE		(DMIERR_DB_FIRST_ERROR+2)
#define DMIERR_DB_DIR_NOT_EXIST			(DMIERR_DB_FIRST_ERROR+3)

#ifdef __cplusplus
extern "C" {
#endif 	

extern void dmi_error(DmiErrorStatus_t error_status); 

#ifdef __cplusplus
}
#endif 	

#endif
